#define ETHER_ADDR_LEN		6
#define	ETHERTYPE_IP		0x0800	/* IP protocol */
#define ntohs(a)			RtlUshortByteSwap(a)

typedef struct	_ETH_HDR {
	UCHAR	ether_dhost[ETHER_ADDR_LEN];
	UCHAR	ether_shost[ETHER_ADDR_LEN];
	USHORT	ether_type;
} ETH_HDR, *PETH_HDR;
// IP HEADER

typedef struct _IP_HDR
{
	UCHAR		iph_verlen;
	UCHAR		iph_tos;
	USHORT		iph_length;
	USHORT		iph_id;
	USHORT		iph_offset;
	UCHAR		iph_ttl;
	UCHAR		iph_protocol;
	USHORT		iph_xsum;
	ULONG		iph_src;
	ULONG		iph_dest;

} IP_HDR, *PIP_HDR;


//	TCP HEADER
typedef	struct	_TCP_HDR
{
	USHORT		tcp_src;
	USHORT		tcp_dest;
	int			tcp_seq;
	int			tcp_ack;
	USHORT		tcp_flags;
	USHORT		tcp_window;
	USHORT		tcp_xsum;
	USHORT		tcp_urgent;
} TCP_HDR, *PTCP_HDR;

